Subject: bug#28550: 25.2; Hydra: First example hydra in the docs doesn't work

From: [email-masked] (N. Jackson)
Date: Sat, 23 Sep 2017 12:49:36 -0400

At 18:19 +0200 on Saturday 2017-09-23, Michael Heerdegen wrote:
>
> As far as I understand the definition of `defhydra', the example won't
> do what the OP expects unless you additionally eval
>
>   (global-set-key [f2] 'hydra-zoom/body)
>
> Without that, the hydra hinting kicks in only after you have hit another
> hydra key after hitting the prefix key.

Indeed. When I asked about this on the Emacs Help list a few days
ago, Marcin Borkowski pointed that out, and indeed, as I mentioned
there, following this suggestion I tried:

  (defhydra hydra-zoom ()
    "zoom"
    ("g" text-scale-increase "in")
    ("l" text-scale-decrease "out"))

  (global-set-key (kbd "<f2>") 'hydra-zoom/body)

and this does work just fine. :)

Sorry. I should have mentioned that in this bug report.

So this bug report is about the

  (defhydra hydra-zoom (global-map "<f2>") ... )

form not working and/or about the doc where this is used as the
first example.

N.